org.apache.hadoop.mapreduce.v2.app.webapp.dao

## Class TaskAttemptInfo

- java.lang.Object
- - org.apache.hadoop.mapreduce.v2.app.webapp.dao.TaskAttemptInfo

- Direct Known Subclasses:
    MapTaskAttemptInfo, ReduceTaskAttemptInfo

      public abstract class TaskAttemptInfo
      extends Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected org.apache.hadoop.yarn.api.records.ContainerId` | `assignedContainer`
    `protected String` | `assignedContainerId`
    `protected String` | `diagnostics`
    `protected long` | `elapsedTime`
    `protected long` | `finishTime`
    `protected String` | `id`
    `protected String` | `nodeHttpAddress`
    `protected float` | `progress`
    `protected String` | `rack`
    `protected long` | `startTime`
    `protected org.apache.hadoop.mapreduce.v2.api.records.TaskAttemptState` | `state`
    `protected String` | `status`
    `protected String` | `type`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TaskAttemptInfo()`
    `TaskAttemptInfo(TaskAttempt ta, org.apache.hadoop.mapreduce.v2.api.records.TaskType type, Boolean isRunning)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.apache.hadoop.yarn.api.records.ContainerId` | `getAssignedContainerId()`
    `String` | `getAssignedContainerIdStr()`
    `long` | `getElapsedTime()`
    `long` | `getFinishTime()`
    `String` | `getId()`
    `String` | `getNode()`
    `String` | `getNote()`
    `float` | `getProgress()`
    `String` | `getRack()`
    `long` | `getStartTime()`
    `String` | `getState()`
    `String` | `getStatus()`
    `String` | `getType()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### startTime

          protected long startTime

    - #### finishTime

          protected long finishTime

    - #### elapsedTime

          protected long elapsedTime

    - #### progress

          protected float progress

    - #### id

          protected String id

    - #### rack

          protected String rack

    - #### state

          protected org.apache.hadoop.mapreduce.v2.api.records.TaskAttemptState state

    - #### status

          protected String status

    - #### nodeHttpAddress

          protected String nodeHttpAddress

    - #### diagnostics

          protected String diagnostics

    - #### type

          protected String type

    - #### assignedContainerId

          protected String assignedContainerId

    - #### assignedContainer

          protected org.apache.hadoop.yarn.api.records.ContainerId assignedContainer

  - ### Constructor Detail

    - #### TaskAttemptInfo

          public TaskAttemptInfo()

    - #### TaskAttemptInfo

          public TaskAttemptInfo(TaskAttempt ta,
                                 org.apache.hadoop.mapreduce.v2.api.records.TaskType type,
                                 Boolean isRunning)

  - ### Method Detail

    - #### getAssignedContainerIdStr

          public String getAssignedContainerIdStr()

    - #### getAssignedContainerId

          public org.apache.hadoop.yarn.api.records.ContainerId getAssignedContainerId()

    - #### getState

          public String getState()

    - #### getStatus

          public String getStatus()

    - #### getId

          public String getId()

    - #### getStartTime

          public long getStartTime()

    - #### getFinishTime

          public long getFinishTime()

    - #### getProgress

          public float getProgress()

    - #### getElapsedTime

          public long getElapsedTime()

    - #### getNode

          public String getNode()

    - #### getRack

          public String getRack()

    - #### getNote

          public String getNote()

    - #### getType

          public String getType()

Copyright © 2008–2022 Apache Software Foundation. All rights reserved.